com.microsoft.sqlserver.jdbc

## Class SQLServerConnectionPoolDataSource

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerDataSource
  - - com.microsoft.sqlserver.jdbc.SQLServerConnectionPoolDataSource

All Implemented Interfaces:
  ISQLServerDataSource, Serializable, Wrapper, Referenceable, CommonDataSource, ConnectionPoolDataSource, DataSource

Direct Known Subclasses:
  SQLServerXADataSource

    public class SQLServerConnectionPoolDataSource
    extends SQLServerDataSource
    implements ConnectionPoolDataSource

SQLServerConnectionPoolDataSource provides physical database connections for connection pool managers. SQLServerConnectionPoolDataSource is typically used in Java Application Server environments that support built-in connection pooling and require a ConnectionPoolDataSource to provide physical connections. For example, J2EE application servers that provide JDBC 3.0 API spec connection pooling.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SQLServerConnectionPoolDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PooledConnection` `getPooledConnection()`
`PooledConnection` `getPooledConnection(String user, String password)`
`Reference` `getReference()`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerDataSource

`getAccessToken, getApplicationIntent, getApplicationName, getAuthentication, getColumnEncryptionSetting, getConnection, getConnection, getDatabaseName, getDescription, getEnablePrepareOnFirstPreparedStatementCall, getEncrypt, getFailoverPartner, getFIPS, getGSSCredentials, getHostNameInCertificate, getInstanceName, getJASSConfigurationName, getKeyStoreAuthentication, getKeyStoreLocation, getLastUpdateCount, getLockTimeout, getLoginTimeout, getLogWriter, getMultiSubnetFailover, getPacketSize, getParentLogger, getPortNumber, getQueryTimeout, getResponseBuffering, getSelectMethod, getSendStringParametersAsUnicode, getSendTimeAsDatetime, getServerName, getServerNameAsACE, getServerPreparedStatementDiscardThreshold, getServerSpn, getSocketTimeout, getSSLProtocol, getStatementPoolingCacheSize, getTransparentNetworkIPResolution, getTrustManagerClass, getTrustManagerConstructorArg, getTrustServerCertificate, getTrustStore, getTrustStoreType, getURL, getUser, getWorkstationID, getXopenStates, isWrapperFor, setAccessToken, setApplicationIntent, setApplicationName, setAuthentication, setAuthenticationScheme, setColumnEncryptionSetting, setDatabaseName, setDescription, setEnablePrepareOnFirstPreparedStatementCall, setEncrypt, setFailoverPartner, setFIPS, setGSSCredentials, setHostNameInCertificate, setInstanceName, setIntegratedSecurity, setJASSConfigurationName, setKeyStoreAuthentication, setKeyStoreLocation, setKeyStoreSecret, setLastUpdateCount, setLockTimeout, setLoginTimeout, setLogWriter, setMultiSubnetFailover, setPacketSize, setPassword, setPortNumber, setQueryTimeout, setResponseBuffering, setSelectMethod, setSendStringParametersAsUnicode, setSendTimeAsDatetime, setServerName, setServerNameAsACE, setServerPreparedStatementDiscardThreshold, setServerSpn, setSocketTimeout, setSSLProtocol, setStatementPoolingCacheSize, setTransparentNetworkIPResolution, setTrustManagerClass, setTrustManagerConstructorArg, setTrustServerCertificate, setTrustStore, setTrustStorePassword, setTrustStoreType, setURL, setUser, setWorkstationID, setXopenStates, toString, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

### Constructor Detail

#### SQLServerConnectionPoolDataSource

    public SQLServerConnectionPoolDataSource()

### Method Detail

#### getPooledConnection

    public PooledConnection getPooledConnection()
                                         throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

#### getPooledConnection

    public PooledConnection getPooledConnection(String user,
                                                String password)
                                         throws SQLException

Specified by:
  `getPooledConnection` in interface `ConnectionPoolDataSource`
Throws:
  `SQLException`

#### getReference

    public Reference getReference()

Specified by:
  `getReference` in interface `Referenceable`
Overrides:
  `getReference` in class `SQLServerDataSource`